Checking for Software Prerequisites

The API requires a few things to be in place. The Alloy Navigator Express 8 Installer automatically analyzes your computer before installing the application, and test for prerequisites. This section explains these prerequisites.

NOTE: If you are planning to install the API module on an IIS server where the Mobile App Service, Web App, and/or the Self Service Portal are currently installed, and that IIS server satisfies system requirements for the API module (the API module requires IIS 7.5 or later and Microsoft .NET Framework 4.6 or later), your server is already configured for the API, because it relies on the same required IIS components. Therefore, no additional configuration steps should be necessary, and you can skip this section and proceed to Installing the API module.